<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

if(isset($_GET['id'])){
	$id = intval($_GET['id']);
	}else{
		header("Location: /index.php");
		}

$admin = mysql_fetch_array(mysql_query("SELECT * FROM `community_user_incomm` WHERE `cid` = '$id' AND `uid` = '".$user['id']."'"));

$set['title'] = 'Загрузка логотипа &amp; '.$_SERVER['HTTP_HOST'];
include_once '../sys/inc/thead.php';

title();
aut();



$comm = mysql_fetch_array(mysql_query('SELECT * FROM `community_comm` WHERE `id` = '.$id.' LIMIT 1'));
if(!isset($user)){
	echo '<div class="err">Гостям вход закрыт</div>';
	}else if($id==0 || $id<0){
		echo '<div class="err">Иди нахуй! Хакер недоношеный!</div>';
		}else if($id!=$comm['id']){
			echo '<div class="err">Сообщество не найдено.</div>';
			}else if(mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_ban` WHERE `id_user` = '$user[id]' AND `id_comm` = '$id' AND `time` > '$time'"), 0)!=0){
				header('Location: ban.php?id='.$id);
				}else if($admin['priv']!=2){
					echo '<div class="err">Доступ закрыт</div>';
					}else{

if(isset($_FILES['file']) && $_FILES['file']!=NULL){

if($imgc=@imagecreatefromstring(file_get_contents($_FILES['file']['tmp_name']))){
	$img_x=imagesx($imgc);
	$img_y=imagesy($imgc);

if($img_x<1200 || $img_y<1600){

if($img_x==$img_y){
	$dstW=100; // ширина
	$dstH=100; // высота
	}else if($img_x>$img_y){
		$prop=$img_x/$img_y;
		$dstW=100;
		$dstH=ceil($dstW/$prop);
		}else{
			$prop=$img_y/$img_x;
			$dstH=100;
			$dstW=ceil($dstH/$prop);
			}

$screen=imagecreatetruecolor($dstW, $dstH);
imagecopyresampled($screen, $imgc, 0, 0, 0, 0, $dstW, $dstH, $img_x, $img_y);
$copy=@imagecreatefromstring(file_get_contents(H.$set['copy_path']));
@imagecopy($screen, $copy, $dstW-imagesx($copy), $dstH-imagesy($copy), 0, 0, imagesx($copy), imagesy($copy));
imagejpeg($screen,H.'sys/comm/'.$comm['id'].'.jpg',90);
@chmod(H.'sys/comm/'.$comm['id'].'.jpg',0777);
imagedestroy($screen);
imagedestroy($imgc);
$err = 'Логотип успешно загружен';
}else{
	$err = 'Размеры файла превышают 1200x1600';
	}
	}else{
		$err = 'Это не картинка';
		}
		}

if(isset ($_GET['go']) && $_GET['go']==1 && is_file(H.'sys/comm/'.$comm['id'].'.jpg')){
	unlink(H.'sys/comm/'.$comm['id'].'.jpg');
	$err = 'Логотип удалён';
	}

err();

if(is_file(H.'sys/comm/'.$comm['id'].'.jpg')){


	echo '<img src="../../sys/comm/'.$comm['id'].'.jpg" alt=""/><br/>';
	echo '&#187;&nbsp;<a href="upload.php?id='.$comm['id'].'&amp;go=1">Удалить логотип</a><br/>';
	}else{
		echo 'Можно загружать картинки форматов: JPG, PNG<br />';
		echo '<form method="post" enctype="multipart/form-data" action="upload.php?id='.$comm['id'].'">';
		echo '<input type="file" name="file" accept="image/*,image/png,image/jpeg"/>';
		echo '<input value="Загрузить" type="submit"/></form>';
		}

echo '&#187;&nbsp;<a href="setting.php?id='.$id.'">В настройки</a><br />';
echo '&#187;&nbsp;<a href="comm.php?id='.$id.'">В сообщество</a><br />';

}


include_once '../sys/inc/tfoot.php';
?>